Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA5.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA5.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA5.m	(revision 636)
@@ -1,3 +1,3 @@
-PSOXZA5 ; COMPILED XREF FOR FILE #52.2 ; 05/26/08
+PSOXZA5 ; COMPILED XREF FOR FILE #52.2 ; 01/17/08
  ; 
  S DA=0
@@ -18,5 +18,5 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" D:'$G(PSOSUSPA) PARKILL^PSOUTLA
-CR1 S DIXR=463
+CR1 S DIXR=478
  K X
  S X(1)=$P(DIKZ(0),U,10)
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA6.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA6.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA6.m	(revision 636)
@@ -1,3 +1,3 @@
-PSOXZA6 ; COMPILED XREF FOR FILE #52.25 ; 05/26/08
+PSOXZA6 ; COMPILED XREF FOR FILE #52.25 ; 01/17/08
  ; 
  S DA=0
@@ -10,5 +10,5 @@
  S X=$P(DIKZ(0),U,1)
  I X'="" K ^PSRX(DA(1),"REJ","B",$E(X,1,30),DA)
-CR1 S DIXR=652
+CR1 S DIXR=224
  K X
  S X(1)=$P(DIKZ(0),U,2)
@@ -18,5 +18,5 @@
  . S:$D(DIKIL) (X2,X2(1))=""
  . K ^PSRX("REJDAT",X,DA(1),DA)
-CR2 S DIXR=653
+CR2 S DIXR=225
  K X
  S DIKZ(0)=$G(^PSRX(DA(1),"REJ",DA,0))
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA7.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA7.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA7.m	(revision 636)
@@ -1,3 +1,3 @@
-PSOXZA7 ; COMPILED XREF FOR FILE #52.2551 ; 05/26/08
+PSOXZA7 ; COMPILED XREF FOR FILE #52.2551 ; 01/17/08
  ; 
  S DA(2)=DA(1) S DA(1)=0 S DA=0
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA8.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA8.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA8.m	(revision 636)
@@ -1,3 +1,3 @@
-PSOXZA8 ; COMPILED XREF FOR FILE #52 ; 05/26/08
+PSOXZA8 ; COMPILED XREF FOR FILE #52 ; 01/17/08
  ; 
  S DIKZK=1
@@ -77,5 +77,5 @@
  . K X1,X2 M X1=X,X2=X
  . I +$P($G(^PSRX(DA,"PKI")),"^")=1 S ^PSRX("APKI",$E(X,1,30),DA)=""
-CR3 S DIXR=461
+CR3 S DIXR=476
  K X
  S DIKZ(0)=$G(^PSRX(DA,0))
Index: FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA9.m
===================================================================
--- FOIAVistA/trunk/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA9.m	(revision 631)
+++ FOIAVistA/tag/r/OUTPATIENT_PHARMACY-PSO-APSP-HUIP/PSOXZA9.m	(revision 636)
@@ -1,3 +1,3 @@
-PSOXZA9 ; COMPILED XREF FOR FILE #52.01 ; 05/26/08
+PSOXZA9 ; COMPILED XREF FOR FILE #52.01 ; 01/17/08
  ; 
  S DA(1)=DA S DA=0
Index: FOIAVistA/tag/r/PAID-PRS/PRS8AC.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8AC.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8AC.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8AC ;HISC/MRL-DECOMPOSITION, ACTIVITY STRING ;05/18/07
- ;;4.0;PAID;**40,45,54,52,69,75,90,96,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8AC ;HISC/MRL-DECOMPOSITION, ACTIVITY STRING ;01/22/04
+ ;;4.0;PAID;**40,45,54,52,69,75,90,96**;Sep 21, 1995
  ;
  ;The primary purpose of this routine is to create the activity
@@ -16,11 +15,9 @@
  S Q=0
  I DY>0,DY<15 D  G END:Q
- .I DAY(DY,"OFF"),"LSWARUHFGDr"[VAR S Q=1 ;exc invalid day off VAR
+ .I DAY(DY,"OFF"),"LSWARUHFGD"[VAR S Q=1 ;exc invalid day off VAR
  K OC,FLAG
  ;
  S DAYZ=DAY(DY,"W")_$G(DAY(DY,"N")),MTM=0
  S DAYH=$G(DAY(DY,"HOL"))_$G(DAY(DY+1,"HOL")) ;holiday node
- N DAYR
- S DAYR=DAY(DY,"r")_$G(DAY(DY,"rN")) ; Recess
  ;
  ;P 45 FIREFIGHTERS F NODE TO TRACK ADDITIONAL FF HRS
@@ -29,6 +26,4 @@
  F T=+V:1:+$P(V,"^",2) D
  .I +VAR,$E(DAYH,T),$E(DAYZ,T)?1A Q  ;no override holiday
- .; Don't override Recess but allow Unscheduled Regular (VAR=4)
- .I +VAR,VAR'=4,$E(DAYR,T)="r" Q  ; don't override Recess
  .I VAR="A"&(JURY=1) S VAR="J"
  .S VAR1=VAR Q:VAR1=""  S DAYZ(1)=$E(DAYZ,T)
@@ -37,10 +32,5 @@
  .I T=+V,"Vh"[VAR1,TYP["I" S DAY(DY,"DWK")=1 ;count days worked for cop
  .I "JLSWNnARUXYFGD"[VAR1,T'>96,'$E(DAYZ,T) Q  ;invalid outside tour
- .; Regular employees can't earn ct/use ot during work
- .I +NAWS'=9,"EOPQT4"[VAR1,T'>96,$E(DAYZ,T) Q
- .; 9mo AWS checks
- .I +NAWS=9,"PQT"[VAR1,T'>96,$E(DAYZ,T) Q  ;can't earn ct/use ot during work
- .; Allow CT/OT/UN/ON if posted over Recess otherwise don't allow
- .I +NAWS=9,"4OEC"[VAR1,T'>96,$E(DAYZ,T),$E(DAYR,T)'="r" S $E(DAYR,T)=VAR1 Q
+ .I "EOPQT4"[VAR1,T'>96,$E(DAYZ,T) Q  ;can't earn ct/use ot during work
  .I "OE"[VAR1,"BC"[DAYZ(1),$L(DAYZ(1)) D  ; Change OT or CT to CB/SB OT
  ..S VAR1=$C($A($E(DAYZ,T))+32)
@@ -54,30 +44,9 @@
  .I $E(DAYZ,T)=5,"ALSRUFGD"[VAR1 S VAR1=$E(DAYZ,T)
  .I $E(DAYZ,T)="-","BbCctes"[VAR1 Q  ;unavail for oc/sb or sch ot/ct
- .;
- .I VAR'="r" D
- ..S DAYZ=$E(DAYZ,0,T-1)_VAR1_$E(DAYZ,T+1,999)
- ..I $E($G(DAY(DY-1,"N")),T)'="",VAR1'=$E($G(DAY(DY-1,"N")),T) D
- ...S DAY(DY-1,"N")=$E(DAY(DY-1,"N"),0,T-1)_VAR1_$E(DAY(DY-1,"N"),T+1,999) ;save VAR
- ..; When processing tour time also copy tour into DAYR
- ..I "1235"[VAR1 D
- ...S DAYR=$E(DAYZ,0,T-1)_VAR1_$E(DAYZ,T+1,999)
- ...I $E($G(DAY(DY-1,"N")),T)'="",VAR1'=$E($G(DAY(DY-1,"N")),T) D
- ....S DAY(DY-1,"rN")=$E(DAY(DY-1,"rN"),0,T-1)_VAR1_$E(DAY(DY-1,"rN"),T+1,999)
- .;
- .; The following check will record Recess and will then update VAR1 to 0 which
- .; will result in the normally scheduled tour being marked as being no tour.
- .; This will allow Unscheduled Regular, OT and CT to be posted over the tour.
- .I VAR="r" D
- ..S DAYR=$E(DAYR,0,T-1)_VAR1_$E(DAYR,T+1,999)
- ..S DAYZ=$E(DAYZ,0,T-1)_0_$E(DAYZ,T+1,999) ; Overwrite tour
- ..I $E($G(DAY(DY-1,"rN")),T)'="",VAR1'=$E($G(DAY(DY-1,"rN")),T) D
- ...S DAY(DY-1,"rN")=$E(DAY(DY-1,"rN"),0,T-1)_VAR1_$E(DAY(DY-1,"rN"),T+1,999)
- ...S DAY(DY-1,"N")=$E(DAY(DY-1,"N"),0,T-1)_0_$E(DAY(DY-1,"N"),T+1,999)
- ..S Y=48 D SET ; Count Recess
- .;
+ .S DAYZ=$E(DAYZ,0,T-1)_VAR1_$E(DAYZ,T+1,999) I $E($G(DAY(DY-1,"N")),T)'="",VAR1'=$E($G(DAY(DY-1,"N")),T) S DAY(DY-1,"N")=$E(DAY(DY-1,"N"),0,T-1)_VAR1_$E(DAY(DY-1,"N"),T+1,999) ;save VAR
  .I VAR1="J" S Y=5 D SET ;set authorized absence for jury duty
  .I VAR1="M" S Y=5 D SET ; authorized absence for ML
  .;ot on non-premium T&L
- .I ("Eocb"[VAR1!(VAR1="O"&'$E(DAYH,T)))&("^^10^11^12^13^15^16^17^"[("^"_$P(V,"^",4)_"^"))!(VAR1=5&("ALSRUFGD"[VAR))!(VAR1=4&(TYP["P"!(TYP["I"&(TYP["N"!(TYP["H"!($$HYBRID^PRSAENT1($G(DFN)))))))&("^7^9^11^12^14^17^"[("^"_$P(V,"^",4)_"^"))) D
+ .I ("Eocb"[VAR1!(VAR1="O"&'$E(DAYH,T)))&("^^10^11^12^13^15^16^"[("^"_$P(V,"^",4)_"^"))!(VAR1=5&("ALSRUFGD"[VAR))!(VAR1=4&(TYP["P"!(TYP["I"&(TYP["N"!(TYP["H"!($$HYBRID^PRSAENT1($G(DFN)))))))&("^7^9^11^12^14^"[("^"_$P(V,"^",4)_"^"))) D
  ..Q:$E(DAY(DY,"P"),T)=5&("ALSRUFGD"'[VAR)
  ..I $D(FLAG) S FLAG=VAR1,VAR1=5
@@ -89,5 +58,4 @@
  ...I "^7^8^9^11^"[("^"_$P(V,"^",4)_"^")&(TYP'["N")&(TYP'["H")&('$$HYBRID^PRSAENT1($G(DFN))) S CODE="n" Q
  ...I "^7^8^9^11^"[("^"_$P(V,"^",4)_"^")&("^S^T^U^V^"'[(U_PMP_U)) S CODE="n" Q
- ...I $P(V,"^",4)=17 S CODE="N" Q  ; Code 17 - OT/CT with premiums 
  ...I VAR1=5 S CODE=VAR Q
  ...S CODE=1
@@ -125,11 +93,10 @@
  ..K S,VAR1
  ;
+ ;
  S DAY(DY,"W")=$E(DAYZ,1,96) ;todays activity
  S DAY(DY,"N")=$E(DAYZ,97,999) ;tomorrows activity from today/if any
- S DAY(DY,"r")=$E(DAYR,1,96) ; Today's Recess
- S DAY(DY,"rN")=$E(DAYR,97,999) ; Tomorrow's Recess/if any
  S:$E(DAY(DY,"P"),97,999)'="" DAY(DY,"P1")=$E(DAY(DY,"P"),97,999) ;non-prem ot for next day
  S DAY(DY,"P")=$E(DAY(DY,"P"),1,96) ;non-prem ot for today
- I DAY(DY,"N")?1"0"."0",DAY(DY,"rN")'["r" S DAY(DY,"N")=""
+ I DAY(DY,"N")?1"0"."0" S DAY(DY,"N")=""
  S DAY(DY,"HOL")=$E(DAYH,1,96)
  ;
@@ -167,7 +134,4 @@
  .S X=DAY(DY-1,"P1")_$E(DAY(DY,"P"),$L(DAY(DY-1,"P1"))+1,96)
  .S DAY(DY,"P")=X
- I $D(DAY(DY-1,"rN")),$L(DAY(DY-1,"rN")) D
- .S X=DAY(DY-1,"rN")_$E(DAY(DY,"r"),$L(DAY(DY-1,"rN"))+1,96)
- .S DAY(DY,"r")=X
  ;
 END ; --- all done here
Index: FOIAVistA/tag/r/PAID-PRS/PRS8CR.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8CR.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8CR.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8CR ;HISC/MRL-DECOMPOSITION, CREATE STRING ;01/17/07
- ;;4.0;PAID;**2,6,45,69,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8CR ;HISC/MRL-DECOMPOSITION, CREATE STRING ;8/23/01
+ ;;4.0;PAID;**2,6,45,69**;Sep 21, 1995
  ;
  ;This routine take the information contained in the WK array
@@ -17,16 +16,12 @@
  N MLINHRS
  S MLINHRS=$$MLINHRS^PRSAENT(DFN)
- S S="333333333333333333333333333333333443623233333333333"
- S E(1)="ANSKWDNOAURTCECUUNNANBSPSASBSCDADBDCTFOAOBOCYAOKOMRARBRCHAHBHCPTPAONYDHDVCEA  EB  TATCFAFCADNTRSSRSDND"
- S E(2)="ALSLWPNPABRLCTCOUSNRNSSQSESFSGDEDFDGTGOEOFOGYEOSOURERFRGHLHMHNPHPBCLYHHOVSEC  ED  TBTDFBFDAFNHRNSSSHNU"
+ S S="33333333333333333333333333333333344362323333333"
+ S E(1)="ANSKWDNOAURTCECUUNNANBSPSASBSCDADBDCTFOAOBOCYAOKOMRARBRCHAHBHCPTPAONYDHDVCEA  EB  TATCFAFCADNT"
+ S E(2)="ALSLWPNPABRLCTCOUSNRNSSQSESFSGDEDFDGTGOEOFOGYEOSOURERFRGHLHMHNPHPBCLYHHOVSEC  ED  TBTDFBFDAFNH"
  S E(3)="NLDWINTLLULNLDDTTOLAMLCAPCCYRRFFFECD"
  K V S V="" F I=1,2,3 S V(I)=""
  ;
  ;Next section gets Week 1 and Week 2 data and stores in V(WK)
- F J=1,2 F I=1:1:38,40,42:1:51 S X=+$P(WK(J),"^",I) I X]"" D
- .; Don't report PT/PT for nurses on AWS schedules
- .Q:$E(AC,2)=1&($P(C0,U,16)=72)&(I=32)  ; 36/40 AWS
- .Q:$E(AC,2)=2&($P(C0,U,16)=80)&(I=32)  ; 9month AWS
- .;
+ F J=1,2 F I=1:1:38,40,42,43,44,45,46,47 S X=+$P(WK(J),"^",I) I X]"" D
  .I TYP'["D",I'=38,I'=40 D QH
  .I TYP["D" S X=+X_"0"
Index: FOIAVistA/tag/r/PAID-PRS/PRS8DR.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8DR.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8DR.m	(revision 636)
@@ -1,8 +1,8 @@
-PRS8DR ;HISC/MRL,JAH/WCIOFO-DECOMPOSITION, DRIVER ;4/09/2007
- ;;4.0;PAID;**22,29,56,90,111,112**;Sep 21, 1995;Build 54
+PRS8DR ;HISC/MRL,JAH/WCIOFO-DECOMPOSITION, DRIVER ;1/25/2007
+ ;;4.0;PAID;**22,29,56,90,111**;Sep 21, 1995;Build 2
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
  ;This routine determines whether or not the parameters necessary
- ;to decompose time are in existence.  The majority of variables
+ ;to decompose time are in existance.  The majority of variables
  ;involving processing an individual employee are defined in this
  ;routine.
@@ -20,17 +20,10 @@
  K WK F I=1,2,3 S WK(I)="" ;weekly totals (wk3=misc data)
  D ^PRSAENT S VAL="" ;get entitlement (ENT)
- I PP="S" G END ;Manila citizen/don't decompose/no stub
+ I PP="S" G END ;manilla citizen/don't decompose/no stub
  I $G(PB)["$" G STUB^PRS8CR ;don't decompose stipend/create stub
- ; Set NAWS to type of AWS
- N NAWS
- S NAWS=0
- I "KM"[$E(AC,1),$E(AC,2)=1,NH=72 S NAWS="36/40 AWS"
- I $E(AC,1)="M",$E(AC,2)=2,NH=80 S NAWS="9Mo AWS"
- ;
  I "^P^X^"[(U_$P($G(^PRST(458,+PY,"E",DFN,0)),"^",2)_U) S RESTORE=1
  D AUTOPINI^PRS8(+PY,+DFN,$G(RESTORE),.PRVAL) ; remove auto-posted data
  S DOUB=0 I $E(ENT,26),$E(ENT,29) S DOUB=1 ;count standby & oncall same
  S FLX="" S FLX=$P($G(^PRST(458,+PY,"E",DFN,0)),"^",6)
- I +NAWS=36 S FLX="C"
  S (SST,TAL)="",X=$P(C0,"^",8) I X'="" D  ;T&L Unit
  .S X=$O(^PRST(455.5,"B",X,0)) ;get ien
@@ -53,7 +46,5 @@
  I $E($G(AC),2)=3 S TYP=TYP_"I" ;intermittent
  I NH>320 S TYP=TYP_"F" I NH'>448 S TYP=TYP_"f" ;firefighter
- ; Nurses on the 9month AWS will be treated as FT employees during the 9 months
- ; that they are working.  Prevent a "P" from being added to TYP.
- I NH,NH'>319,$E(AC,2)'=1 S TYP=TYP_"P" ;part-time
+ I NH,NH'>319 S TYP=TYP_"P" ;part-time
  I PP="L",$E(AC,2)=2 S TYP=TYP_"d" ;doctor
  I PP="L",$E(AC,2)=1 S TYP=TYP_"dR" ;doctor/resident or intern
Index: FOIAVistA/tag/r/PAID-PRS/PRS8EX.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8EX.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8EX.m	(revision 636)
@@ -1,4 +1,4 @@
-PRS8EX ;HISC/MRL,WCIOFO/SAB-DECOMPOSITION, EXCEPTIONS ;1/31/2007
- ;;4.0;PAID;**2,40,56,69,111,112**;Sep 21, 1995;Build 54
+PRS8EX ;HISC/MRL,WCIOFO/SAB-DECOMPOSITION, EXCEPTIONS ;1/25/2007
+ ;;4.0;PAID;**2,40,56,69,111**;Sep 21, 1995;Build 2
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -27,5 +27,5 @@
  ..Q
  .Q
- S X="^AL^SL^WP^NP^AA^RL^CU^CT^CP^HX^ML^TR^TV^OT^RG^TT^SB^ON^NL^HW^CB^AD^DL^RS" ;code
+ S X="^AL^SL^WP^NP^AA^RL^CU^CT^CP^HX^ML^TR^TV^OT^RG^TT^SB^ON^NL^HW^CB^AD^DL" ;code
  S X=($F(X,"^"_TT)\3)+4,(X,TT(1))=$P($T(ACT+X),";;",2) ;parameters
  S GO=0 I '+X!($E(ENT,+X)) S GO=1 ;entitlement exists-continue
@@ -76,5 +76,5 @@
  I TT'="UN" S VAR=$P(X,"^",3) ;increment time code
  I '$S(VAR'="W":1,'CYA:1,DY<CYA:1,1:0) D
- .S WPCY=1 ;flag to save WOP in hours from 1/1 for calendar year adjustment
+ .S WPCY=1 ;flag to save WOP in hours from 1/1 for calander year adjustment
  I TYP'["D" D  G END ;process hourly people and quit
  .; The following 2 lines commented out because for Employees that are
@@ -144,3 +144,2 @@
  ;;31^Adoption^G^45
  ;;35^Donor Leave^D^46
- ;;5^Recess^r^48
Index: FOIAVistA/tag/r/PAID-PRS/PRS8HD.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8HD.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8HD.m	(revision 636)
@@ -1,4 +1,4 @@
-PRS8HD ;HISC/MGD-DECOMPOSITION, DETERMINE HOLIDAYS ;12/07/2007
- ;;4.0;PAID;**4,33,72,88,94,98,113,118**;Sep 21, 1995;Build 1
+PRS8HD ;HISC/MGD-DECOMPOSITION, DETERMINE HOLIDAYS ;01/3/2007
+ ;;4.0;PAID;**4,33,72,88,94,98,113**;Sep 21, 1995;Build 3
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -160,5 +160,4 @@
  ;;3040611^President Reagan Funeral^FRIDAY^PRS*4*94
  ;;3070102^President Ford Funeral^TUESDAY^PRS*4*113
- ;;3071224^Extra Christmas Day^MONDAY^PRS*4*118
  ;
  ;---------------------------------------------------------------------
Index: FOIAVistA/tag/r/PAID-PRS/PRS8HR.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8HR.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8HR.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8HR ;HISC/MRL,WCIOFO/JAH-DECOMPOSITION, HOURS ;06/25/07
- ;;4.0;PAID;**2,22,29,42,52,102,108,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8HR ;HISC/MRL,WCIOFO/JAH-DECOMPOSITION, HOURS ;05/05/06
+ ;;4.0;PAID;**2,22,29,42,52,102,108**;Sep 21, 1995
  ;
  ;This routine is called by ^PRS8PP (premium pay calculator)
@@ -68,9 +67,11 @@
  I TYP["I",$E(AC,1)="L",TH=320,"4OosEe"[VAL Q
  ;
- ;     IF type of time is anything but Leave Without Pay "W" or Non-Pay "n"
- ;     THEN increment total hrs HT & increment HTP.  Also update
- ;     ^TMP global for reference during the processing of On-Call (PRS8OC).
- ;
- I "Wn"'[VAL S HT=HT+1,HTP=HTP+1,^TMP($J,"PRS8",DAY,"HT")=HT
+ ;     IF type of time is anything but (leave w/out pay, comp time) 
+ ;     THEN increment total hrs(HT) & increment HTP if type of 
+ ;     time not non pay or leave w/out pay.
+ ;
+ ; Update daily counter - *102 added non-pay back into daily count
+ ;
+ S HT=HT+1,HTP=HTP+1
  ;
  ;---------------------------------------------------------
@@ -93,5 +94,5 @@
  ;
  ; Check for FT Compressed
- I $E(AC,2)=1,NH>319,FLX="C",("OoseE4"[VAL) S GO=1
+ I NH>319,FLX="C",("OoseE4"[VAL) S GO=1
  ;
  ; Check for week
@@ -137,5 +138,5 @@
  ;   Check employees with Normal hours less than 80. (Baylor NH=320)
  ;
- I NH'>319!(($E(AC,2)=2)&(NH=320)) D TH^PRS8HRSV D  Q
+ I NH'>319 D TH^PRS8HRSV D  Q
  .I FLX="C" D  Q:X
  ..;
@@ -186,5 +187,24 @@
  .S X=$S("Ee"'[VAL:TOUR+19,(TH(W)'>160)&(HT'>32):9,1:7)
  .I TYP["P",VAL[4,TH(W)'>160,HT'>32 S X=9
- .I TYP["P",VAL="O",TH(W)'>160,HT'>32 S X=9
  .D CHK^PRS8HRSV
  Q
+ ;
+ ;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+ ; ### DELETE UNLESS EARLIER CHECK WAS RESTORED
+CT2DAY() ;Determine if comptime eligible including 2 day tour.
+ ;
+ N TOUREC,TWODAY
+ S (RTN,TWODAY)=0
+ ;
+ ;      IF time segment contains Scheduled or unscheduled comptime 
+ ;      or overtime and there is some time in tour hours worked THEN
+ ;      check if it's a 2 day tour. For 2 day tours some of time worked
+ ;      won't be in HT variable since it occured on other day of two
+ ;      day tour, it's not valid to simply check the HT variable for
+ ;      8 hours of work. (patch PRS*4*22)
+ ;
+ I "OosEe4"[VAL,(HT>0),(NH>319) D
+ .S TOUREC=$P($G(DAY(DAY,0)),"^",2)
+ .I TOUREC>0 S TWODAY=$P($G(^PRST(457.1,TOUREC,0)),"^",5)
+ .I TWODAY="Y" S RTN=1
+ Q RTN
Index: FOIAVistA/tag/r/PAID-PRS/PRS8HRSV.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8HRSV.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8HRSV.m	(revision 636)
@@ -1,8 +1,7 @@
-PRS8HRSV ;WCIOFO/JAH-HOLIDAY FLAG, TIME CHECKER, WK() SET; 04/05/07
- ;;4.0;PAID;**29,52,102,108,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
- ;  Set up variable for holiday worked or holiday excused
+PRS8HRSV ;WCIOFO/JAH-HOLIDAY FLAG, TIME CHECKER, WK() SET; 05/02/06
+ ;;4.0;PAID;**29,52,102,108**;Sep 21, 1995
+ ;  Set up variable for holiday worked or holiday exused
  ;  Holiday worked coded 2 in DAY array
- ;  Holiday excused coded 1 in DAY array
+ ;  Holiday exused coded 1 in DAY array
  ;  A NON holiday is coded as all zero's in day array.
  ;
@@ -61,12 +60,4 @@
  I X,Y=2,$E(ENT,+Y)'="H" S X=$S(TYP'["B":0,1:9)
  ;
- ;   IF 36/40 AWS with WP determine eligibility for OT/CT
- ;   Skip this check if time is HW (X=29) or OT on Hol (X=24)
- ;   
- I "KM"[$E(AC,1),$E(AC,2)=1,$P(C0,U,16)=72,X'=32,X'=29,X'=24 D
- . I HT>32 S X=$S(VAL="O":TOUR+15,VAL="e":7,1:X)  Q
- . I TH(W)>160 S X=$S(VAL="O":TOUR+19,VAL="e":7,1:X)  Q
- . I HT'>32,TH(W)'>160 S X=9
- ;
  ;   If X is hours in excess of 8/day & > 40/week & type of time
  ;   is compensatory time X = 0
@@ -112,8 +103,4 @@
  ..I X'=32,$E(ENT,25),'HOLWKD D
  ...S ZZ=X
- ...; for 36/40 AWS w/ WP or NP report OT on Holiday as (OK/OS)
- ...; For 9mo AWS w/ Recess report OT on Holiday as (OK/OS)
- ...I +NAWS,VAL["O",$E(DAY(DAY,"HOL"),M)=0 S X=24 D SET S X=0 Q
- ...;
  ...S X=$S(TYP["P"!(TYP["I"):TOUR+28,1:24) D SET
  ...I TYP["P"!(TYP["I") S X=9 D SET
@@ -167,11 +154,4 @@
 SET ; --- Set value into WK array
  ;
- ; Nurses on the 36/40 AWS are FT with Normal Hours of 72.  Nurses on the 9 month
- ; AWS are PT with Normal Hours of 80.  Neither will not have Part Time Hours
- ; counted in their 8B string.
- ;
- Q:$E(AC,2)=1&($P(C0,U,16)=72)&(X=32)  ; 36/40 AWS
- Q:$E(AC,2)=2&(NH=320)&(X=32)  ; 9month AWS before any Recess processed
- ;
  ;     Full time employee & part time hours & normal hours WK1 + WK2
  ;     = biweekly normal hours.
@@ -198,5 +178,4 @@
  I $S(VAL=4:1,"osEe"[VAL!(VAL="O"&('HOLWKD)):1,1:0) D
  . Q:(HT>32)&(TH(W)<160)&(NH<320)&($E(ENT,19)=1)
- . Q:(HT>32)&(TH(W)<160)&(NH=320)&($E(ENT,19)=1)&($E(AC,2)=2)  ; 9month AWS
  . S TH=TH+1,TH(W)=TH(W)+1
  Q
Index: FOIAVistA/tag/r/PAID-PRS/PRS8MSC0.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8MSC0.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8MSC0.m	(revision 636)
@@ -1,4 +1,4 @@
-PRS8MSC0 ;HISC/DAD,WCIOFO/JAH,SAB - MISC TIME CARD ADJUST(contd) ;4/04/2007
- ;;4.0;PAID;**22,35,40,56,111,112**;Sep 21, 1995;Build 54
+PRS8MSC0 ;HISC/DAD,WCIOFO/JAH,SAB - MISC TIME CARD ADJUST(contd) ;1/25/2007
+ ;;4.0;PAID;**22,35,40,56,111**;Sep 21, 1995;Build 2
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -80,18 +80,9 @@
  ...I TYP["W",$E($P(PEROT(H),"^",3))'="E"&($G(^TMP($J,"PRS8",$P(PEROT(H),"^",1),"OFF"))=0) S TOUR=$G(^TMP($J,"PRS8",$P(PEROT(H),"^",1),"TOUR"))
  ...S D=+OT,P=$S($E($P(PEROT(H),"^",3))'="E":TOUR+19,1:7),Y=8-(STOP-START+1+Z)
- ...;
- ...I TYP["P",TYP'["B",P'=7,'+NAWS D
+ ...I TYP["P",TYP'["B",P'=7 D
  ....I $P($G(^TMP($J,"PRS8",$P(PEROT(H),"^",1),"OFF")),"^",1)=1&(TH(WEEK)'>160) S Y=0 Q
  ....I $P(C0,"^",12)="E" S P=$S($L($TR(W,"0O"))>31&(TH(WEEK)'>160):TOUR+25,1:P) D:Y SET S Y=$S(TH(WEEK)'>160:Y,1:0) S P=9 D:Y SET S Y=0
  ...I $P(C0,"^",12)="N",P'=7 S P=$S($L($TR(W,"0O"))>31:TOUR+15,1:P) D:Y SET S Y=0
- ...D:Y&('+NAWS) SET
- ...;
- ...I +NAWS D  Q  ; Checks for just the AWS nurses
- ....N CNT,HT,I
- ....S CNT=Y,Y=1,HT=$G(^TMP($J,"PRS8",D,"HT"))
- ....F I=1:1:CNT D
- .....I HT'<32 S P=$S(P'=7:TOUR+15,1:P) D SET1 Q  ; DA/DE or CE/CT
- .....I TH($S(+OT>7:2,1:1))'<160 S P=$S(P'=7:TOUR+19,1:P) D SET1 Q  ; OA/OE or CE/CT
- .....I HT<32,TH($S(+OT>7:2,1:1))<160 S P=9 D SET1 Q  ; UN/US
+ ...D:Y SET
  ..Q
  .Q
@@ -109,15 +100,4 @@
  S $P(WK(WEEK),"^",P)=$P(WK(WEEK),"^",P)+Y
  Q
- ;
-SET1     ; Set sleep time into WK array
- Q:D<1!(D>14)
- S WEEK=$S(D>7:2,1:1)
- S $P(WK(WEEK),"^",P)=$P(WK(WEEK),"^",P)+Y
- Q:(HT>32)&(TH(WEEK)<160)&(NH<320)&($E(ENT,19)=1)
- Q:(HT>32)&(TH(WEEK)<160)&(NH=320)&($E(ENT,19)=1)&($E(AC,2)=2)  ; 9month AWS
- S HT=HT+1,TH(WEEK)=TH(WEEK)+1
- S ^TMP($J,"PRS8",D,"HT")=^TMP($J,"PRS8",D,"HT")+1
- Q
- ;
 OTNXTPP(DAY,CALLBK,EMPNM,PPIEN,TLU) ;
  ;OT or CT connects to a tour of duty in the next pay period.
@@ -176,7 +156,5 @@
  F W=1,2 D  ;              For each week subtract leave ND from total ND
  . Q:'WKL(W)  ;                                 No leave ND to subtract
- . I +NAWS'=36 S $P(WK(W),"^",10)=$P(WK(W),"^",10)-WKL(W) ; Subtract
- . ; For 36/40 AWS subtract time from Night Differential-AWS (piece 51)
- . I +NAWS=36 S $P(WK(W),"^",51)=$P(WK(W),"^",51)-WKL(W)
+ . S $P(WK(W),"^",10)=$P(WK(W),"^",10)-WKL(W) ; Subtract
  . S WKL(W)=0 ;                                 Reset leave ND amount
  Q
Index: FOIAVistA/tag/r/PAID-PRS/PRS8MT.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8MT.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8MT.m	(revision 636)
@@ -1,4 +1,4 @@
-PRS8MT ;HISC/MRL-DECOMPOSITION, MEALTIME ;02/21/08
- ;;4.0;PAID;**2,40,69,102,109,112,116**;Sep 21, 1995;Build 23
+PRS8MT ;HISC/MRL-DECOMPOSITION, MEALTIME ;11/22/06
+ ;;4.0;PAID;**2,40,69,102,109**;Sep 21, 1995;Build 5
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -32,8 +32,4 @@
 GETY ; --- this is where Y (placement of mealtime) is defined
  S X=$E(D,V(1),V(2)),D1=$E(D1,V(1),V(2))
- N ORIGX,RECESS
- S ORIGX=X ; Original copy of codes in X and
- S RECESS=DAY(MDY,"r")_$G(DAY(MDY,"rN"))
- S RECESS=$E(RECESS,V(1),V(2)) ; load any Recess
  I X["5" D
  . N DAYP
@@ -48,17 +44,13 @@
  .S Y=$E(X,M)
  .I "1235C"[Y,"1235C"[X1 Q  ; scheduled work time
- .I "4OC"[Y,$E(RECESS,M)="r" S Q=0 Q  ; Work performed while on Recess (9mo AWS)
  .I Y'="O",Y'=X1 S Q=0 Q  ; not same type of time, and non-OT
- .I Y="O",($E(DAY($S(V(1)+M-1<97:MDY,1:MDY+1),"HOL"),$S(V(1)+M-1<97:V(1)+M-1,1:V(1)+M-1-96))'=2) S Q=0 Q  ; OT indicating non-holiday worked gets no meal
- .I Y="O",($E(DAY($S(V(1)+M-1<97:MDY,1:MDY+1),"HOL"),$S(V(1)+M-1<97:V(1)+M-1,1:V(1)+M-1-96))=2),"123C"[X1 S Q=0 Q  ; OT indicating holiday worked and Excused.
+ .I Y="O",($E(DAY($S(V(1)+M-1<97:MDY,1:MDY+1),"HOL"),$S(V(1)+M-1<97:V(1)+M-1,1:V(1)+M-1-96))'=2) S Q=0 Q  ; OT indicatin' non-holiday worked gets no meal
+ .I Y="O",($E(DAY($S(V(1)+M-1<97:MDY,1:MDY+1),"HOL"),$S(V(1)+M-1<97:V(1)+M-1,1:V(1)+M-1-96))=2),"123C"[X1 S Q=0 Q  ; OT indicatin holiday worked and Excused.
  .Q
  I X["0" D
- .I RECESS'["r" S SPL=$TR(X,"1235"),SPLX=$TR(X,SPL,$TR($J("",$L(SPL))," "))
- .I RECESS["r" S SPL=$TR(X,"01235"),SPLX=$TR(X,SPL,$TR($J("",$L(SPL))," "))
+ .S SPL=$TR(X,"1235"),SPLX=$TR(X,SPL,$TR($J("",$L(SPL))," "))
  .I SPLX="" S Q=1
- ;
- K M
- ;--- one activity for entire tour
- I Q S Q=0 D  F M=1:1:MT S M(M)=Y+M-1
+ ; --- one activity for entire tour
+ K M I Q S Q=0 D  F M=1:1:MT S M(M)=Y+M-1
  .I V(1)>24,V(2)<73 S Y=MID Q  ;no premium time involved/ meal in middle
  .S Q=0 D  ;check for all premium
@@ -78,65 +70,34 @@
  ; --- multiple activities per tour
  E  D
- .S Z=$TR(X,"1235"),X=$TR(X,Z,$TR($J("",$L(Z))," ","0"))
- .;
- .; if leave posted > or = to tour length + mt (ie didn't post around 
- .; lunch) it was resulting in OT (ZRIK strips HOL, OC, & no tour time)
- .;
- .S ZRIK=$TR(Z,"HC0")
- .I MT>0,$L(ZRIK)'<(($P(DAY(DAY,0),"^",8)*4)+MT) S X="",$P(X,"1",$L(ZRIK)+1)=""
- .Q:X?1"0"."0"&(RECESS'["r")
- .S M=0 F A=1,2 Q:M=MT  F B=MID,MID+1,MID-1:-1:V(1),MID+2:1:V(2) D  Q:M=MT
- ..Q:'$E(X,B-V(1)+1)
- ..I A=1,PM,B<25!(B>72&(B<121)) S M=M+1,M(M)=B
- ..I A=1,'PM,B>24&(B<73)!(B>120) S M=M+1,M(M)=B
- ..I A=2 S M=M+1,M(M)=B
- ..Q
- .Q
+ .  S Z=$TR(X,"1235"),X=$TR(X,Z,$TR($J("",$L(Z))," ","0"))
+ .  S ZRIK=$TR(Z,"HC") I MT>0,$L(ZRIK)'<(($P(DAY(DAY,0),"^",8)*4)+MT) S X="",$P(X,"1",$L(ZRIK)+1)="" ;if leave posted > or = to tour length + mt (ie didn't post around lunch) it was resulting in OT (ZRIK strips HOL & OC)
+ .  Q:X?1"0"."0"
+ .  S M=0 F A=1,2 Q:M=MT  F B=MID,MID+1,MID-1:-1:V(1),MID+2:1:V(2) D  Q:M=MT
+ .  .  Q:'$E(X,B-V(1)+1)
+ .  .  I A=1,PM,B<25!(B>72&(B<121)) S M=M+1,M(M)=B
+ .  .  I A=1,'PM,B>24&(B<73)!(B>120) S M=M+1,M(M)=B
+ .  .  I A=2 S M=M+1,M(M)=B
+ .  .  Q
+ .  Q
  Q:'$O(M(0))
 Y ; --- this is where meals get placed in string
  F Y=0:0 S Y=$O(M(Y)) Q:Y'>0  D
  . N ORIGAC ; original activity code
- . S M=M(Y),(X,ORIGAC)=$E(D,M),X=$S(X="J":"A",X=5:$E(DAY(MDY,"P"),M),1:X)
- . ; If a 9mo AWS works during Recess don't place meal over that type of time
- . I +NAWS=9 D  ; 9mo AWS nurses
- . . ; If extra work (UN,OT,CT) was posted over the entire tour including the meal time
- . . ; don't include meal time in the W node or you will reduce the extra work count.
- . . ; Set X=0 to reduce the Recess count below.
- . . I "4OEC"[ORIGAC&($L(ORIGX)=$L($TR(ORIGX,"1235"))) S X=0 Q
- . . ;
- . . ; If extra work posted over tour time that wasn't covered by Recess it will
- . . ; be stored in the r node.  If this time exists, add that time back into the 
- . . ; W node instead of the meal time.
- . . I "1235"[ORIGAC,"4OEC"[$E(RECESS,M-V(1)+1) D  Q
- . . . S D=$E(D,0,M-1)_$E(RECESS,M-V(1)+1)_$E(D,M+1,999)
- . . . S ORIGX=$E(ORIGX,1,M-V(1)-1)_$E(RECESS,M-V(1)+1)_$E(ORIGX,M-V(1)+2,999)
- . . ;
- . . ; For everything else, update D and ORIGX
- . . S D=$E(D,0,M-1)_"m"_$E(D,M+1,999)
- . . S ORIGX=$E(ORIGX,M-V(1)-1)_"m"_$E(ORIGX,M-V(1)+2,999)
- . ;
- . ; All employees other than 9mo AWS
- . I +NAWS'=9 S D=$E(D,0,M-1)_"m"_$E(D,M+1,999)
- . ;
- . ; The following line has been updated to include a check for Recess as the 48th piece.
- . ; Recess will be designated as a zero (0). 
- . S X=$S(X'="M":$F("LSWnAR*U************************V********YXFGD*0",X)-1,1:5)
- . ;
- . ; Firefighter checks
- . I "Ff"[TYP,NH'=480!(NH(1)'=NH(2)) S X=32
- . ;I X'=4,CYA2806>0 S CYA2806=CYA2806-1 ; << ADDED-> DROP LUNCH FROM CY ALSO>>
- . Q:X'>0
- . Q:MDY=0&(M(Y)<96)!(MDY=14&(M(Y)>97))
- . S W=$S(MDY<8:1,1:2) I MDY=7&(M(Y)>96) S W=2
- . I $P(WK(W),"^",+X)>0 S $P(WK(W),"^",+X)=$P(WK(W),"^",+X)-1 ;subtract
- . ;
- . ; If Military Leave subtract the mealtime out of the WK(3) array.
- . I ORIGAC="M",$P(WK(3),U,11)>0 S $P(WK(3),U,11)=$P(WK(3),U,11)-1
- . ;I WPCYA>0 S WPCYA=WPCYA-1 ;lunch from total << AND FROM CA TOTAL >>
+ .  S M=M(Y),(X,ORIGAC)=$E(D,M),X=$S(X="J":"A",X=5:$E(DAY(MDY,"P"),M),1:X),D=$E(D,0,M-1)_"m"_$E(D,M+1,999)
+ .  S X=$S(X'="M":$F("LSWnAR*U************************V********YXFGD",X)-1,1:5)
+ .  I "Ff"[TYP,NH'=480!(NH(1)'=NH(2)) S X=32
+ .  ;I X'=4,CYA2806>0 S CYA2806=CYA2806-1 ; << ADDED-> DROP LUNCH FROM CY ALSO>>
+ .  Q:X'>0
+ .  Q:MDY=0&(M(Y)<96)!(MDY=14&(M(Y)>97))
+ .  S W=$S(MDY<8:1,1:2) I MDY=7&(M(Y)>96) S W=2
+ .  I $P(WK(W),"^",+X)>0 S $P(WK(W),"^",+X)=$P(WK(W),"^",+X)-1 ;subtract
+ .  ; If Military Leave subtract the mealtime out of the WK(3) array.
+ .  I ORIGAC="M",$P(WK(3),U,11)>0 S $P(WK(3),U,11)=$P(WK(3),U,11)-1
+ .  ;I WPCYA>0 S WPCYA=WPCYA-1 ;lunch from total << AND FROM CA TOTAL >>
  . ; PRS*4*40 added 8 (U), 44 (F), 45 (G), 46 (D) to following line
  . ; because PRS8AC also increments LU for those types of time
- . I +X,"^1^2^6^8^44^45^46^"[("^"_+X_"^") S LU=LU-1 ;reduce leave used
- . I +X,"^3^"[("^"_+X_"^"),"P"[TYP S TH=TH+1,TH(W)=TH(W)+1
- . Q
+ .  I +X,"^1^2^6^8^44^45^46^"[("^"_+X_"^") S LU=LU-1 ;reduce leave used
+ .  I +X,"^3^"[("^"_+X_"^"),"P"[TYP S TH=TH+1,TH(W)=TH(W)+1
+ .   Q
  S DAY(MDY,"W")=$E(D,1,96)
  S X=$E(D,97,999) I $L(X) D
Index: FOIAVistA/tag/r/PAID-PRS/PRS8OC.m
===================================================================
--- FOIAVistA/trunk/r/PAID-PRS/PRS8OC.m	(revision 631)
+++ FOIAVistA/tag/r/PAID-PRS/PRS8OC.m	(revision 636)
@@ -1,5 +1,4 @@
-PRS8OC ;HISC/MGD-DECOMPOSITION, ON-CALL ;02/27/07
- ;;4.0;PAID;**63,92,112**;Sep 21, 1995;Build 54
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+PRS8OC ;HISC/MGD-DECOMPOSITION, ON-CALL ;02/17/04
+ ;;4.0;PAID;**63,92**;Sep 21, 1995         
  ;
  ;The following MUMPS code is used to credit the appropriate
@@ -34,7 +33,5 @@
 OCS ; --- set On-Call minimum hours
  ;set YA/YE for PPI="W" or "V" else set OT
- I +NAWS=0 S Y=$S(CC:7,'DOUB:TOUR+19,1:23)
- I +NAWS S Y=$S(CC:7,1:TOUR+19)
- ;
+ S Y=$S(CC:7,'DOUB:TOUR+19,1:23)
  N X,Z,DD,TT,CCCNT,NEXTT,OCCNT,TIMECNT
  S TT=$S(T>96:T-96,1:T),TIMECNT=0
@@ -83,6 +80,5 @@
  ..I OC+CNTR'>8 D
  ...S Y(1)=$S(X=1:OC,1:8-CNTR)
- ...I +NAWS=0 D CHOL ; Process everyone but AWS nurses
- ...I +NAWS D CHOL1 ; Process AWS nurses
+ ...D CHOL
  ...S (OC,OC(D),CC,CC(D))=0,FG=1
  ..Q
@@ -98,6 +94,5 @@
  ..I OC+CNTR'>8 D
  ...S Y(1)=$S(X=1:OC,1:8-CNTR)
- ...I +NAWS=0 D CHOL ; Process everyone but AWS nurses
- ...I +NAWS D CHOL1 ; Process AWS nurses
+ ...D CHOL
  ...S (OC,OC(D),CC,CC(D))=0,FG=1
  ..Q
@@ -118,10 +113,8 @@
  ...;
  ..S Y(1)=$S(X=2:CC(I)+CCCNT,X:CC(I),OC(I)>7:CC(I),1:4),Y=7
- ..I +NAWS=0 D CHOL ; Process everyone but AWS nurses
- ..I +NAWS D CHOL1 ; Process AWS nurses
+ ..D CHOL
  ..S Y(1)=$S(X=2:OC(I)-CC(I)+OCCNT,X:OC(I)-CC(I),OC(I)>7:OC(I)-CC(I),1:4)
  ..S Y=$S('DOUB:TOUR+19,1:23)
- ..I +NAWS=0 D CHOL ; Process everyone but AWS nurses
- ..I +NAWS D CHOL1 ; Process AWS nurses
+ ..D CHOL
  ..Q
  .Q
@@ -132,6 +125,5 @@
  ...I T=96,"ct"'[$E(DAY(DAY+1,"W"),1) S OC(I)=8-TIMECNT
  ..S Y(1)=$S(X:OC(I),OC(I)>7:OC(I),1:8)
- ..I +NAWS=0 D CHOL ; Process everyone but AWS nurses
- ..I +NAWS D CHOL1 ; Process AWS nurses
+ ..D CHOL
  ..Q
  .Q
@@ -155,31 +147,2 @@
  E  S $P(WK(W),"^",Y)=$P(WK(W),"^",Y)+Y(1)
  Q
- ;
-CHOL1 ; Checks for AWS nurses
- N HT,J,K,T2ADD
- S K=0,TMP=Y,Y=0
- S T2ADD=$S(CC:Y(1)-CC,1:Y(1)-OC-CC)
- ; Apply normal checks for OT on Hol and Hol Callback
- I TMP'=7,$E(ENT,25),$$HOLIDAY^PRS8UT(PY,DFN,+D) S Y=24 ;ot on actual hol
- I 'Y,$E($G(DAY(I,"HOL")),$S(T>96:(T-96),1:T)) S Y=TOUR+28 ;holiday callback
- I 'Y S Y=TMP
- I Y=24!(Y=(TOUR+28)) D SET Q
- ; If not OT on Hol or Hol Callback Determine if we are setting OT or CT
- S K=$S(Y=7:CC,1:OC)
- F J=1:1:K D AWSWK ; Update actual time worked
- F J=1:1:T2ADD D AWSWK ; Update time added to reach 2 hour min
- Q
- ;
-AWSWK ; Determine what type of time to add based on 8/day and 40/wk
- S HT=+$G(^TMP($J,"PRS8",D,"HT"))
- I HT'<32 S Y=$S(Y'=7:TOUR+15,1:Y) D SET1 Q
- I TH(W)'<160 S Y=$S(Y'=7:TOUR+19,1:Y) D SET1 Q
- I HT<32,TH(W)<160 S Y=9 D SET1
- Q
- ;
-SET1 ; Set WK array for AWS nurses
- S $P(WK(W),"^",Y)=$P(WK(W),"^",Y)+1
- Q:HT'<32
- S TH=TH+1,TH(WK)=TH(WK)+1
- S ^TMP($J,"PRS8",DAY,"HT")=HT+1
- Q
